diff -u bind9-9.9.5.dfsg/debian/changelog bind9-9.9.5.dfsg/debian/changelog
--- bind9-9.9.5.dfsg/debian/changelog
+++ bind9-9.9.5.dfsg/debian/changelog
@@ -1,3 +1,13 @@
+bind9 (1:9.9.5.dfsg-4.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Fix intermittent parallel build failure.  Closes: #762766
+  * Set -fno-delete-null-pointer-checks.  Closes: #750760
+  * Use separate packages for the udebs.  Closes: #762762
+  * Don't install configuration files to /usr.  Closes: #762948
+
+ -- Michael Gilbert <mgilbert@debian.org>  Mon, 06 Oct 2014 01:23:57 +0000
+
 bind9 (1:9.9.5.dfsg-4.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff -u bind9-9.9.5.dfsg/debian/control bind9-9.9.5.dfsg/debian/control
--- bind9-9.9.5.dfsg/debian/control
+++ bind9-9.9.5.dfsg/debian/control
@@ -182,15 +182,6 @@
  .
  This package delivers development files for the exported BIND libraries.
 
-Package: libbind-export-udeb
-Section: debian-installer
-Architecture: any
-Priority: extra
-Depends: ${shlibs:Depends}
-XC-Package-Type: udeb
-Description: Exported BIND libraries for debian-installer
- libbind-export-udeb is a minimal bind package used by the debian-installer.
-
 Package: libdns-export100
 Section: libs
 Architecture: any
@@ -200,6 +191,13 @@
  .
  This package delivers the exported libdns shared library.
 
+Package: libdns-export100-udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Package-Type: udeb
+Description: Exported DNS library for debian-installer
+
 Package: libisc-export95
 Section: libs
 Architecture: any
@@ -209,6 +207,13 @@
  .
  This package delivers the exported libisc shared library.
 
+Package: libisc-export95-udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Package-Type: udeb
+Description: Exported ISC library for debian-installer
+
 Package: libisccfg-export90
 Section: libs
 Architecture: any
@@ -218,6 +223,13 @@
  .
  This package delivers the exported libisccfg shared library.
 
+Package: libisccfg-export90-udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Package-Type: udeb
+Description: Exported ISC CFG library for debian-installer
+
 Package: libirs-export91
 Section: libs
 Architecture: any
@@ -228,0 +241,7 @@
+
+Package: libirs-export91-udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Package-Type: udeb
+Description: Exported IRS library for debian-installer
reverted:
--- bind9-9.9.5.dfsg/debian/libbind-export-udeb.install
+++ bind9-9.9.5.dfsg.orig/debian/libbind-export-udeb.install
@@ -1 +0,0 @@
-usr/lib/*-export.so.*
diff -u bind9-9.9.5.dfsg/debian/rules bind9-9.9.5.dfsg/debian/rules
--- bind9-9.9.5.dfsg/debian/rules
+++ bind9-9.9.5.dfsg/debian/rules
@@ -28,7 +28,7 @@
 export MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-export CFLAGS=-fno-strict-aliasing -DDIG_SIGCHASE $(DEBUG) $(OPT)
+export CFLAGS=-fno-strict-aliasing -fno-delete-null-pointer-checks -DDIG_SIGCHASE $(DEBUG) $(OPT)
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 EXTRA_FEATURES=--disable-linux-caps --disable-threads
@@ -126,6 +126,7 @@
 	dh_installdirs
 	$(MAKE) -C export install DESTDIR=`pwd`/debian/bind9
 	$(MAKE) install DESTDIR=`pwd`/debian/bind9
+	rm -rf debian/bind9/usr/etc
 	rm -f debian/bind9/usr/lib/*.la
 	install -c -o bin -g bin -m 444 debian/db.0 ${ETCBIND}/db.0
 	install -c -o bin -g bin -m 444 debian/db.0 ${ETCBIND}/db.255
@@ -200,6 +201,10 @@
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -a
+	dh_makeshlibs -plibirs-export91 --add-udeb=libirs-export91-udeb
+	dh_makeshlibs -plibisc-export95 --add-udeb=libisc-export95-udeb
+	dh_makeshlibs -plibdns-export100 --add-udeb=libdns-export100-udeb
+	dh_makeshlibs -plibisccfg-export90 --add-udeb=libisccfg-export90-udeb
 	dh_installdeb -a
 	dh_shlibdeps -a
 	for i in $$(sed -n '/^Package:/s/^.* //p' debian/control); do cat debian/vars.in >> debian/$$i.substvars; done
diff -u bind9-9.9.5.dfsg/lib/export/isc/Makefile.in bind9-9.9.5.dfsg/lib/export/isc/Makefile.in
--- bind9-9.9.5.dfsg/lib/export/isc/Makefile.in
+++ bind9-9.9.5.dfsg/lib/export/isc/Makefile.in
@@ -38,7 +38,7 @@
 APIOBJS =	app_api.@O@ mem_api.@O@ socket_api.@O@ \
 		task_api.@O@ timer_api.@O@
 
-ISCDRIVEROBJS =	mem.@O@ unix/socket.@O@ task.@O@ timer.@O@ lib.@O@ \
+ISCDRIVEROBJS =	mem.@O@ task.@O@ timer.@O@ lib.@O@ \
 		heap.@O@	#timer module depends on this
 
 UNIXOBJS =	@ISC_ISCIPV6_O@ \
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/debian/libdns-export100-udeb.install
+++ bind9-9.9.5.dfsg/debian/libdns-export100-udeb.install
@@ -0,0 +1 @@
+usr/lib/libdns-export*.so.*
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/debian/libirs-export91-udeb.install
+++ bind9-9.9.5.dfsg/debian/libirs-export91-udeb.install
@@ -0,0 +1 @@
+usr/lib/libirs-export*.so.*
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/debian/libisc-export95-udeb.install
+++ bind9-9.9.5.dfsg/debian/libisc-export95-udeb.install
@@ -0,0 +1 @@
+usr/lib/libisc-export*.so.*
only in patch2:
unchanged:
--- bind9-9.9.5.dfsg.orig/debian/libisccfg-export90-udeb.install
+++ bind9-9.9.5.dfsg/debian/libisccfg-export90-udeb.install
@@ -0,0 +1 @@
+usr/lib/libisccfg-export*.so.*
